PHP ��U
前一頁 |  | 下一頁

# date_default_timezone_set

(PHP 5 >= 5.1.0RC1)

date_default_timezone_set -- Sets the default timezone used by all date/time functions in a script

## Description

bool date_default_timezone_set ( string timezone_identifier )

date_default_timezone_set() sets the default timezone used by all date/time functions.

> 注: Since PHP 5.1.0 (when the date/time functions were rewritten), every call to a date/time function will generate a `E_NOTICE` if the timezone isn't valid, and/or a `E_STRICT` message if using the system settings or the TZ environment variable.

Instead of using this function to set the default timezone in your script, you can also use the INI setting date.timezone to set the default timezone.

## Parameters

timezone_identifier

  The timezone identifier, like UTC or Europe/Lisbon. The list of valid identifiers is available in the 附錄 H.

## Return Values

This function returns `FALSE` if the timezone_identifier isn't valid, or `TRUE` otherwise.

## ChangeLog

Version | Description
--- | ---
5.1.2 | The function started to validate the timezone_identifier parameter.

## �Ѧ�

date_default_timezone_get()

前一頁 | 內容 | 下一頁
date_default_timezone_get | 上一層 | date_sunrise